Index: branches/2013/dev_MERCATOR_UKMO_2013/NEMOGCM/NEMO/OPA_SRC/par_EEL_R6.h90
===================================================================
--- branches/2013/dev_MERCATOR_UKMO_2013/NEMOGCM/NEMO/OPA_SRC/par_EEL_R6.h90	(revision 4228)
+++ branches/2013/dev_MERCATOR_UKMO_2013/NEMOGCM/NEMO/OPA_SRC/par_EEL_R6.h90	(revision 4229)
@@ -8,92 +8,108 @@
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-   CHARACTER (len=16)      &
+   CHARACTER (len=16)         &
 #if !defined key_agrif
-      , PARAMETER  &
+      , PARAMETER             &
 #endif
-      ::    &  
-      cp_cfg = "eel"            !: name of the configuration
-   INTEGER     &
+      ::                      &  
+      cp_cfg  =  "eel"           !: Name of the configuration
+   INTEGER                    &
 #if !defined key_agrif
-      , PARAMETER  &
+      , PARAMETER             &
 #endif
-      ::     &
-      jp_cfg = 6      ,      &  !: resolution of the configuration (km)
+      ::                      &
+      jp_cfg  =  6     ,      &  !: Resolution of the configuration (km)
 
-      ! data size              !!! * size of all the input files *
-      jpidta  = 29,          &  !: 1st lateral dimension ( >= jpi )
-      jpjdta  = 83,          &  !: 2nd    "         "    ( >= jpj )
-      jpkdta  = 30,          &  !: number of levels      ( >= jpk )
+      ! Data domain size         !!! *  Size of all input files  *
+      jpidta  =  29    ,      &  !: 1st lateral dimension ( >= jpiglo )
+      jpjdta  =  83    ,      &  !: 2nd lateral dimension ( >= jpjglo )
+      jpkdta  =  30    ,      &  !: Number of levels      ( >= jpk    )
 
-      ! global domain size     !!! * full domain *
-      jpiglo  = jpidta,      &  !: 1st dimension of global domain --> i
-      jpjglo  = jpjdta,      &  !: 2nd    "                  "    --> j
-      ! starting position of the zoom
-      jpizoom =   1   ,      &  !: left bottom (i,j) indices of the zoom
-      jpjzoom =   1   ,      &  !: in data domain indices
+#if defined key_c1d
+      ! Zoom domain size         !!! *  C1D zoom  *
+      jpiglo  =  3     ,      &  !: 1st dimension of global domain --> i
+      jpjglo  =  3     ,      &  !: 2nd dimension of global domain --> j
+      ! Domain characteristics
+      jperio  =  0               !: Lateral cond. type (between 0 and 6)
 
+   INTEGER                    &
+      ::                      &
+      ! Starting position of the zoom
+      jpizoom =  1     ,      &  !: Left bottom (i,j) indices of the zoom
+      jpjzoom =  1               !: in data domain indices
+#else
+      ! Global domain size       !!! *  Global domain  *
+      jpiglo  =  jpidta,      &  !: 1st dimension of global domain --> i
+      jpjglo  =  jpjdta,      &  !: 2nd dimension of global domain --> j
+      ! Starting position of the zoom
+      jpizoom =  1     ,      &  !: Left bottom (i,j) indices of the zoom
+      jpjzoom =  1     ,      &  !: in data domain indices
       ! Domain characteristics
-      jperio  =      1          !: lateral cond. type (between 0 and 6)
+      jperio  =  1               !: Lateral cond. type (between 0 and 6)
+#endif
+
 
    !!  Values set to pp_not_used indicates that this parameter is not used in THIS config.
    !!  Values set to pp_to_be_computed  indicates that variables will be computed in domzgr
-   REAL(wp), PARAMETER ::   &  !:
-      pp_not_used       = 999999._wp ,  &  !: ???
-      pp_to_be_computed =      0._wp       !: ???
 
-   !! Coefficients associated with the horizontal coordinate system (jphgr_msh /= 0 )
+   REAL(wp), PARAMETER ::              &
+      pp_not_used       = 999999._wp , &  !:
+      pp_to_be_computed = 0._wp           !:
 
-   INTEGER,PARAMETER   ::    & !:
-      jphgr_msh = 3            !: type of horizontal mesh
-      !                        ! = 0 curvilinear coordinate on the sphere
-      !                        !     read in coordinate.nc file
-      !                        ! = 1 geographical mesh on the sphere
-      !                        !     with regular grid-spacing
-      !                        ! = 2 f-plane with regular grid-spacing
-      !                        ! = 3 beta-plane with regular grid-spacing
-      !                        ! = 4 Mercator grid with T/U point at the equator  with
-      !                        !     isotropic resolution (e1_deg)
+
+   !! Coefficients associated with the horizontal coordinate system
+
+   INTEGER, PARAMETER  ::     &
+      jphgr_msh = 3              !: type of horizontal mesh
+      !                          !: = 0 curvilinear coordinate on the sphere
+      !                          !:     read in coordinate.nc file
+      !                          !: = 1 geographical mesh on the sphere
+      !                          !:     with regular grid-spacing
+      !                          !: = 2 f-plane with regular grid-spacing
+      !                          !: = 3 beta-plane with regular grid-spacing
+      !                          !: = 4 Mercator grid with T/U point at the equator  with
+      !                          !:     isotropic resolution (e1_deg)
 
       !   ppglam0 , ppgphi0: coordinates of the lower leftmost T point of the grid.
       !   The mercator grid starts only approximately at gphi0 because
       !   of the constraint that the equator be a T point.
-   REAL(wp) &
+
+   REAL(wp)                   &
 #if !defined key_agrif
-      , PARAMETER  &
+      , PARAMETER             &
 #endif
-      ::     &  !:
-      ppglam0  =    0.0_wp,   &  !: longitude of first raw and column T-point (jphgr_msh = 1)
-      ppgphi0  =   35.0_wp,   &  !: latitude  of first raw and column T-point (jphgr_msh = 1)
-      !                          !  latitude for the Coriolis or Beta parameter (jphgr_msh = 2 or 3)
-      ppe1_deg = pp_not_used,   &  !: zonal      grid-spacing (degrees)
-      ppe2_deg = pp_not_used,   &  !: meridional grid-spacing (degrees)
+      ::                      &
+      ppglam0  = 0.0_wp     , &  !: longitude of first raw and column T-point   (jphgr_msh = 1)
+      ppgphi0  = 35.0_wp    , &  !: latitude  of first raw and column T-point   (jphgr_msh = 1)
+      !                          !: latitude for the Coriolis or Beta parameter (jphgr_msh = 2 or 3)
+      ppe1_deg = pp_not_used, &  !: zonal      grid-spacing (degrees)
+      ppe2_deg = pp_not_used, &  !: meridional grid-spacing (degrees)
       !
-      ppe1_m   = 6000.0_wp,   &  !: zonal      grid-spacing (meters )
+      ppe1_m   = 6000.0_wp  , &  !: zonal      grid-spacing (meters )
       ppe2_m   = 6000.0_wp       !: meridional grid-spacing (meters )
+
 
    !!  Coefficients associated with the vertical coordinate system
 
-   REAL(wp), PARAMETER  ::       &  !:
-      &     ppsur = -2033.194295283385_wp   ,  &  !: Computed in domzgr
-      &     ppa0  =  155.8325369664153_wp   ,  &  !:
-      &     ppa1  =  146.3615918601890_wp   ,  &  !:
-      !
-      &     ppkth =  17.28520372419791_wp   ,  &  !: (non dimensional): gives the approximate
+   REAL(wp), PARAMETER  ::                     &
+      &     ppsur =   -2033.194295283385_wp ,  &  !: Computed in domzgr, set ppdzmin, pphmax below
+      &     ppa0  =   155.8325369664153_wp  ,  &  !:
+      &     ppa1  =   146.3615918601890_wp  ,  &  !:
+      &     ppkth =   17.28520372419791_wp  ,  &  !: (non dimensional): gives the approximate
       !                                           !: layer number above which  stretching will
       !                                           !: be maximum. Usually of order jpk/2.
-      &     ppacr =  5.000000000000000_wp         !: (non dimensional): stretching factor
-      !                                           !: for the grid. The highest zacr, the smallest
+      &     ppacr =   5.000000000000000_wp        !: (non dimensional): stretching factor
+      !                                           !: for the grid. The higher zacr, the smaller
       !                                           !: the stretching.
 
+      !  If both ppa0 ppa1 and ppsur are specified to pp_to_be_computed, then
+      !  they are computed from ppdzmin, pphmax , ppkth, ppacr in dom_zgr
 
-   !!  If both ppa0 ppa1 and ppsur are specified to 0, then
-   !!  they are computed from ppdzmin, pphmax , ppkth, ppacr in dom_zgr
-   !!
-   REAL(wp), PARAMETER ::        &  !:
+   REAL(wp), PARAMETER ::                      &
       &     ppdzmin = pp_not_used           ,  &  !: (meters) vertical thickness of the top layer
       &     pphmax  = pp_not_used                 !: (meters) Maximum depth of the ocean gdepw(jpk)
-   LOGICAL,  PARAMETER ::        &
+   LOGICAL,  PARAMETER ::                      &
       &     ldbletanh = .FALSE.                   !: Use/do not use double tanf function for vertical coordinates
-   REAL(wp), PARAMETER ::        &
+   REAL(wp), PARAMETER ::                      &
       &     ppa2    = pp_not_used           ,  &  !: Double tanh function parameters
       &     ppkth2  = pp_not_used           ,  &  !:
Index: branches/2013/dev_MERCATOR_UKMO_2013/NEMOGCM/NEMO/OPA_SRC/par_GYRE.h90
===================================================================
--- branches/2013/dev_MERCATOR_UKMO_2013/NEMOGCM/NEMO/OPA_SRC/par_GYRE.h90	(revision 4228)
+++ branches/2013/dev_MERCATOR_UKMO_2013/NEMOGCM/NEMO/OPA_SRC/par_GYRE.h90	(revision 4229)
@@ -8,99 +8,111 @@
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-   CHARACTER (len=16)      &
+   CHARACTER (len=16)         &
 #if !defined key_agrif
-      , PARAMETER  &
+      , PARAMETER             &
 #endif
-      ::    &  
-      cp_cfg = "gyre"           !: name of the configuration
-   INTEGER     &
+      ::                      &  
+      cp_cfg  =  "gyre"          !: Name of the configuration
+   INTEGER                    &
 #if !defined key_agrif
-      , PARAMETER  &
+      , PARAMETER             &
 #endif
-      :: &
-      jp_cfg =  1   ,        &  !: 
+      ::                      &
+      jp_cfg  =  1     ,      &  !: Resolution of the configuration (degrees)
 
-      ! data size              !!! * size of all the input files *
-      jpidta  = 30*jp_cfg+2, &  !: 1st horizontal dimension ( >= jpi )
-      jpjdta  = 20*jp_cfg+2, &  !: 2nd    "            "    ( >= jpj )
-      jpkdta  = 31,          &  !: number of levels         ( >= jpk )
+      ! Data domain size         !!! *  Size of all input files  *
+      jpidta  =  30*jp_cfg+2, &  !: 1st lateral dimension ( >= jpiglo )
+      jpjdta  =  20*jp_cfg+2, &  !: 2nd lateral dimension ( >= jpjglo )
+      jpkdta  =  31         , &  !: Number of levels      ( >= jpk    )
 
-      ! global domain size     !!! * full domain *
-      jpiglo  = jpidta,      &  !: 1st dimension of global domain --> i
-      jpjglo  = jpjdta,      &  !: 2nd    "                  "    --> j
-      ! zoom starting position
-      jpizoom =   1   ,      &  !: left bottom (i,j) indices of the zoom
-      jpjzoom =   1   ,      &  !: in data indices
+#if defined key_c1d
+      ! Zoom domain size         !!! *  C1D zoom  *
+      jpiglo  =  3     ,      &  !: 1st dimension of global domain --> i
+      jpjglo  =  3     ,      &  !: 2nd dimension of global domain --> j
+      ! Domain characteristics
+      jperio  =  0               !: Lateral cond. type (between 0 and 6)
 
+   INTEGER                    &
+      ::                      &
+      ! Starting position of the zoom
+      jpizoom =  1     ,      &  !: Left bottom (i,j) indices of the zoom
+      jpjzoom =  1               !: in data domain indices
+#else
+      ! Global domain size       !!! *  Global domain  *
+      jpiglo  =  jpidta,      &  !: 1st dimension of global domain --> i
+      jpjglo  =  jpjdta,      &  !: 2nd dimension of global domain --> j
+      ! Starting position of the zoom
+      jpizoom =  1     ,      &  !: Left bottom (i,j) indices of the zoom
+      jpjzoom =  1     ,      &  !: in data domain indices
       ! Domain characteristics
-      jperio  =     0           !: lateral cond. type (between 0 and 6)
+      jperio  =  0               !: Lateral cond. type (between 0 and 6)
+#endif
+
 
    !!  Values set to pp_not_used indicates that this parameter is not used in THIS config.
    !!  Values set to pp_to_be_computed  indicates that variables will be computed in domzgr
-   REAL(wp), PARAMETER ::   &  !:
-      pp_not_used       = 999999._wp  , & !: ???
-      pp_to_be_computed =      0._wp      !: ???
-   !!
-   !! Coefficients associated with the horizontal coordinate system (jphgr_msh /= 0 )
-   !!
-   INTEGER,PARAMETER   ::    & !:
-      jphgr_msh = 5            !: type of horizontal mesh
-      !                        ! = 0 curvilinear coordinate on the sphere
-      !                        !     read in coordinate.nc file
-      !                        ! = 1 geographical mesh on the sphere
-      !                        !     with regular grid-spacing
-      !                        ! = 2 f-plane with regular grid-spacing
-      !                        ! = 3 beta-plane with regular grid-spacing
-      !                        ! = 4 Mercator grid with T/U point at the equator  with
-      !                        !     isotropic resolution (e1_deg)
-      !                        ! =5  beta-plane with regular grid-spacing and rotated domain (GYRE configuration)
+
+   REAL(wp), PARAMETER ::              &
+      pp_not_used       = 999999._wp , &  !:
+      pp_to_be_computed = 0._wp           !:
+
+
+   !! Coefficients associated with the horizontal coordinate system
+
+   INTEGER, PARAMETER  ::     &
+      jphgr_msh = 5              !: type of horizontal mesh
+      !                          !: = 0 curvilinear coordinate on the sphere
+      !                          !:     read in coordinate.nc file
+      !                          !: = 1 geographical mesh on the sphere
+      !                          !:     with regular grid-spacing
+      !                          !: = 2 f-plane with regular grid-spacing
+      !                          !: = 3 beta-plane with regular grid-spacing
+      !                          !: = 4 Mercator grid with T/U point at the equator  with
+      !                          !:     isotropic resolution (e1_deg)
+      !                          !: = 5 beta-plane with regular grid-spacing and rotated domain (GYRE configuration)
 
       !   ppglam0 , ppgphi0: coordinates of the lower leftmost T point of the grid.
       !   The mercator grid starts only approximately at gphi0 because
       !   of the constraint that the equator be a T point.
-   REAL(wp) &
+
+   REAL(wp)                   &
 #if !defined key_agrif
-      , PARAMETER  &
+      , PARAMETER             &
 #endif
-      ::     &  !:
-      ppglam0  =    0.0_wp,   &  !: longitude of first raw and column T-point (jphgr_msh = 1)
-      ppgphi0  =   29.0_wp,   &  !: latitude  of first raw and column T-point (jphgr_msh = 1)
-      !                          ! latitude for the Coriolis or Beta parameter (jphgr_msh = 2 or 3)
-      ppe1_deg = pp_not_used ,   &  !: zonal      grid-spacing (degrees)
-      ppe2_deg = pp_not_used ,   &  !: meridional grid-spacing (degrees)
+      ::                      &
+      ppglam0  = 0.0_wp     , &  !: longitude of first raw and column T-point   (jphgr_msh = 1)
+      ppgphi0  = 29.0_wp    , &  !: latitude  of first raw and column T-point   (jphgr_msh = 1)
+      !                          !: latitude for the Coriolis or Beta parameter (jphgr_msh = 2 or 3)
+      ppe1_deg = pp_not_used, &  !: zonal      grid-spacing (degrees)
+      ppe2_deg = pp_not_used, &  !: meridional grid-spacing (degrees)
       !
-      ppe1_m   = pp_not_used,    &  !: zonal      grid-spacing (meters )
-      ppe2_m   = pp_not_used        !: meridional grid-spacing (meters )
-   !!
+      ppe1_m   = pp_not_used, &  !: zonal      grid-spacing (meters )
+      ppe2_m   = pp_not_used     !: meridional grid-spacing (meters )
+
+
    !!  Coefficients associated with the vertical coordinate system
-   !!
 
-   REAL(wp), PARAMETER  ::       &  !:
-      &     ppsur = -2033.194295283385_wp   ,  &  !: 
-      &     ppa0  =  155.8325369664153_wp   ,  &  !:
-      &     ppa1  =  146.3615918601890_wp   ,  &  !:
-      !
-      &     ppkth =  17.28520372419791_wp   ,  &  !: (non dimensional): gives the approximate
-      !                                           !    layer number above which  stretching will
-      !                                           !    be maximum. Usually of order jpk/2.
-      &     ppacr =  5.000000000000000_wp         !: (non dimensional): stretching factor
-      !                                           !    for the grid. The highest zacr, the smallest
-      !                                           !    the stretching.
+   REAL(wp), PARAMETER  ::                     &
+      &     ppsur =   -2033.194295283385_wp ,  &  !:
+      &     ppa0  =   155.8325369664153_wp  ,  &  !:
+      &     ppa1  =   146.3615918601890_wp  ,  &  !:
+      &     ppkth =   17.28520372419791_wp  ,  &  !: (non dimensional): gives the approximate
+      !                                           !: layer number above which  stretching will
+      !                                           !: be maximum. Usually of order jpk/2.
+      &     ppacr =   5.000000000000000_wp        !: (non dimensional): stretching factor
+      !                                           !: for the grid. The higher zacr, the smaller
+      !                                           !: the stretching.
 
-   !!
-   !!  If all ppa0 ppa1 and ppsur are specified to 0, then
-   !!  they are computed from ppdzmin, pphmax , ppkth, ppacr in dom_zgr
-   !!
-   REAL(wp), PARAMETER ::        &  !:
-      &     ppdzmin = pp_not_used   ,  &  !: (meters): depth of the top (first) model layer
-      !                             !            depth of second "w" level
-      &     pphmax  = pp_not_used         !: (meters): maximum depth of the ocean
-      !                             !            depth of the last "w" level
-   LOGICAL,  PARAMETER ::        &
+      !  If both ppa0 ppa1 and ppsur are specified to pp_to_be_computed, then
+      !  they are computed from ppdzmin, pphmax , ppkth, ppacr in dom_zgr
+
+   REAL(wp), PARAMETER ::                      &
+      &     ppdzmin = pp_not_used           ,  &  !: (meters) vertical thickness of the top layer
+      &     pphmax  = pp_not_used                 !: (meters) Maximum depth of the ocean gdepw(jpk)
+   LOGICAL,  PARAMETER ::                      &
       &     ldbletanh = .FALSE.                   !: Use/do not use double tanf function for vertical coordinates
-   REAL(wp), PARAMETER ::        &
+   REAL(wp), PARAMETER ::                      &
       &     ppa2    = pp_not_used           ,  &  !: Double tanh function parameters
       &     ppkth2  = pp_not_used           ,  &  !:
       &     ppacr2  = pp_not_used                 !:
-
    !!---------------------------------------------------------------------
Index: branches/2013/dev_MERCATOR_UKMO_2013/NEMOGCM/NEMO/OPA_SRC/par_ORCA_R025.h90
===================================================================
--- branches/2013/dev_MERCATOR_UKMO_2013/NEMOGCM/NEMO/OPA_SRC/par_ORCA_R025.h90	(revision 4228)
+++ branches/2013/dev_MERCATOR_UKMO_2013/NEMOGCM/NEMO/OPA_SRC/par_ORCA_R025.h90	(revision 4229)
@@ -9,69 +9,91 @@
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-   CHARACTER (len=16)      &
+   CHARACTER (len=16)         &
 #if !defined key_agrif
-      , PARAMETER  &
+      , PARAMETER             &
 #endif
-      ::    &  
-      cp_cfg = "orca"           !: name of the configuration
-   INTEGER     &
+      ::                      &  
+      cp_cfg  =  "orca"          !: Name of the configuration
+   INTEGER                    &
 #if !defined key_agrif
-      , PARAMETER  &
+      , PARAMETER             &
 #endif
-      :: &
-      jp_cfg = 025  ,        &  !: resolution of the configuration (degrees)
-      ! Original data size
-      jpidta  = 1442,        &  !: first horizontal dimension > or = to jpi
-      jpjdta  = 1021,        &  !: second                     > or = to jpj
+      ::                      &
+      jp_cfg  =  025   ,      &  !: Resolution of the configuration (degrees)
+
+      ! Data domain size         !!! *  Size of all input files  *
+      jpidta  =  1442  ,      &  !: 1st lateral dimension ( >= jpiglo )
+      jpjdta  =  1021  ,      &  !: 2nd lateral dimension ( >= jpjglo )
 #if key_orca_r025==75
-      jpkdta  = 75 ,         &  !: number of levels           > or = to jpk
+      jpkdta  =  75    ,      &  !: Number of levels      ( >= jpk    )
 #else
-      jpkdta  = 46 ,         &  !: number of levels           > or = to jpk
+      jpkdta  =  46    ,      &  !: Number of levels      ( >= jpk    )
 #endif
-      ! total domain matrix size
-      jpiglo  = jpidta,      &  !: first  dimension of global domain --> i
-      jpjglo  = jpjdta,      &  !: second dimension of global domain --> j
-      ! starting position of the zoom
-      jpizoom =   1   ,      &  !: left bottom (i,j) indices of the zoom
-      jpjzoom =   1   ,      &  !: in data indices
+
+#if defined key_c1d
+      ! Zoom domain size         !!! *  C1D zoom  *
+      jpiglo  =  3     ,      &  !: 1st dimension of global domain --> i
+      jpjglo  =  3     ,      &  !: 2nd dimension of global domain --> j
       ! Domain characteristics
-      jperio  =    4            !: lateral cond. type (between 0 and 6)
+      jperio  =  0               !: Lateral cond. type (between 0 and 6)
+
+   INTEGER                    &
+      ::                      &
+      ! Starting position of the zoom
+      jpizoom =  1     ,      &  !: Left bottom (i,j) indices of the zoom
+      jpjzoom =  1               !: in data domain indices
+#else
+      ! Global domain size       !!! *  Global domain  *
+      jpiglo  =  jpidta,      &  !: 1st dimension of global domain --> i
+      jpjglo  =  jpjdta,      &  !: 2nd dimension of global domain --> j
+      ! Starting position of the zoom
+      jpizoom =  1     ,      &  !: Left bottom (i,j) indices of the zoom
+      jpjzoom =  1     ,      &  !: in data domain indices
+      ! Domain characteristics
+      jperio  =  4               !: Lateral cond. type (between 0 and 6)
+#endif
+
 
    !!  Values set to pp_not_used indicates that this parameter is not used in THIS config.
    !!  Values set to pp_to_be_computed  indicates that variables will be computed in domzgr
-   REAL,PARAMETER      ::  pp_not_used = 999999_wp , &
-      &                    pp_to_be_computed = 0._wp
-   !!
-   !! Coefficients associated with the horizontal coordinate system (jphgr_msh /= 0 )
-   !!
-   INTEGER, PARAMETER ::     & !
-      jphgr_msh = 0            !: type of horizontal mesh
-      !                        !  = 0 curvilinear coordinate on the sphere
-      !                        !      read in coordinate.nc file
-      !                        !  = 1 geographical mesh on the sphere
-      !                        !      with regular grid-spacing
-      !                        !  = 2 f-plane with regular grid-spacing
-      !                        !  = 3 beta-plane with regular grid-spacing
-      !                        !  = 4 Mercator grid with T/U point at the equator  with
-      !                        !      isotropic resolution (e1_deg)
+
+   REAL(wp), PARAMETER ::              &
+      pp_not_used       = 999999._wp , &  !:
+      pp_to_be_computed = 0._wp           !:
+
+
+   !! Coefficients associated with the horizontal coordinate system
+
+   INTEGER, PARAMETER  ::     &
+      jphgr_msh = 0              !: type of horizontal mesh
+      !                          !: = 0 curvilinear coordinate on the sphere
+      !                          !:     read in coordinate.nc file
+      !                          !: = 1 geographical mesh on the sphere
+      !                          !:     with regular grid-spacing
+      !                          !: = 2 f-plane with regular grid-spacing
+      !                          !: = 3 beta-plane with regular grid-spacing
+      !                          !: = 4 Mercator grid with T/U point at the equator  with
+      !                          !:     isotropic resolution (e1_deg)
 
       !   ppglam0 , ppgphi0: coordinates of the lower leftmost T point of the grid.
       !   The mercator grid starts only approximately at gphi0 because
       !   of the constraint that the equator be a T point.
-   REAL(wp), PARAMETER ::       &  !
-      ppglam0  = pp_not_used,   &  !: longitude of first raw and column T-point (jphgr_msh = 1)
-      ppgphi0  = pp_not_used,   &  !: latitude  of first raw and column T-point (jphgr_msh = 1)
-      !                            !  latitude for the Coriolis or Beta parameter (jphgr_msh = 2 or 3)
-      ppe1_deg = pp_not_used,   &  !: zonal      grid-spacing (degrees)
-      ppe2_deg = pp_not_used,   &  !: meridional grid-spacing (degrees)
+
+   REAL(wp), PARAMETER ::     &
+      ppglam0  = pp_not_used, &  !: longitude of first raw and column T-point   (jphgr_msh = 1)
+      ppgphi0  = pp_not_used, &  !: latitude  of first raw and column T-point   (jphgr_msh = 1)
+      !                          !: latitude for the Coriolis or Beta parameter (jphgr_msh = 2 or 3)
+      ppe1_deg = pp_not_used, &  !: zonal      grid-spacing (degrees)
+      ppe2_deg = pp_not_used, &  !: meridional grid-spacing (degrees)
       !
-      ppe1_m   = pp_not_used,   &  !: zonal      grid-spacing (meters )
-      ppe2_m   = pp_not_used       !: meridional grid-spacing (meters )
+      ppe1_m   = pp_not_used, &  !: zonal      grid-spacing (meters )
+      ppe2_m   = pp_not_used     !: meridional grid-spacing (meters )
+
 
    !!  Coefficients associated with the vertical coordinate system
 
 #if key_orca_r025==75
-   REAL(wp), PARAMETER  ::       &
-      &     ppsur =  -3958.951371276829_wp  ,  &  !: ORCA r025 coefficients
+   REAL(wp), PARAMETER  ::                     &
+      &     ppsur =   -3958.951371276829_wp ,  &  !: ORCA r025 coefficients
       &     ppa0  =   103.9530096000000_wp  ,  &  !: (75 levels case)
       &     ppa1  =   2.415951269000000_wp  ,  &  !:
@@ -79,42 +101,38 @@
       !                                           !: layer number above which  stretching will
       !                                           !: be maximum. Usually of order jpk/2.
-      &     ppacr =       7.00000000000_wp        !: (non dimensional): stretching factor
+      &     ppacr =   7.00000000000_wp            !: (non dimensional): stretching factor
       !                                           !: for the grid. The higher zacr, the smaller
       !                                           !: the stretching.
-   !!
-   !!  If both ppa0 ppa1 and ppsur are specified to pp_to_be_computed, then
-   !!  they are computed from ppdzmin, pphmax , ppkth, ppacr in dom_zgr
-   !!
+
+      !  If both ppa0 ppa1 and ppsur are specified to pp_to_be_computed, then
+      !  they are computed from ppdzmin, pphmax , ppkth, ppacr in dom_zgr
+
    REAL(wp), PARAMETER ::                      &
       &     ppdzmin = pp_not_used           ,  &  !: (meters) vertical thickness of the top layer
       &     pphmax  = pp_not_used                 !: (meters) Maximum depth of the ocean gdepw(jpk)
-   !!
    LOGICAL,  PARAMETER ::                      &
       &     ldbletanh = .TRUE.                    !: Use/do not use double tanf function for vertical coordinates
    REAL(wp), PARAMETER ::                      &
-      &     ppa2  =   100.7609285000000_wp  ,  &  !: Double tanh function parameters
-      &     ppkth2=   48.02989372000000_wp  ,  &  !:
-      &     ppacr2=    13.00000000000_wp          !:
-      !
+      &     ppa2    = 100.7609285000000_wp  ,  &  !: Double tanh function parameters
+      &     ppkth2  = 48.02989372000000_wp  ,  &  !:
+      &     ppacr2  = 13.00000000000_wp           !:
 #else
-   REAL(wp), PARAMETER  ::       &
-      &     ppsur = pp_to_be_computed ,        &  !: Computed in domzgr, set ppdzmin and pphmax below
-      &     ppa0  = pp_to_be_computed ,        &  !:    "           "
-      &     ppa1  = pp_to_be_computed ,        &  !:    "           "
-      !
-      &     ppkth =  23.563_wp        ,        &  !: (non dimensional): gives the approximate
+   REAL(wp), PARAMETER  ::                     &
+      &     ppsur =   pp_to_be_computed     ,  &  !: Computed in domzgr, set ppdzmin and pphmax below
+      &     ppa0  =   pp_to_be_computed     ,  &  !:    "           "
+      &     ppa1  =   pp_to_be_computed     ,  &  !:    "           "
+      &     ppkth =   23.563_wp             ,  &  !: (non dimensional): gives the approximate
       !                                           !: layer number above which  stretching will
       !                                           !: be maximum. Usually of order jpk/2.
       &     ppacr =   9.00000000000_wp            !: (non dimensional): stretching factor
-      !                                           !: for the grid. The highest zacr, the smallest
+      !                                           !: for the grid. The higher zacr, the smaller
       !                                           !: the stretching.
-   !!
-   !!  If both ppa0 ppa1 and ppsur are specified to pp_to_be_computed, then
-   !!  they are computed from ppdzmin, pphmax , ppkth, ppacr in dom_zgr
-   !!
+
+      !  If both ppa0 ppa1 and ppsur are specified to pp_to_be_computed, then
+      !  they are computed from ppdzmin, pphmax , ppkth, ppacr in dom_zgr
+
    REAL(wp), PARAMETER ::                      &
-      &     ppdzmin = 6._wp           ,        &  !: (meters) vertical thickness of the top layer
+      &     ppdzmin = 6._wp                 ,  &  !: (meters) vertical thickness of the top layer
       &     pphmax  = 5750._wp                    !: (meters) Maximum depth of the ocean gdepw(jpk)
-   !!
    LOGICAL,  PARAMETER ::                      &
       &     ldbletanh = .FALSE.                   !: Use/do not use double tanf function for vertical coordinates
